Plesk\backup\Agent\Schema\Backup\Content\ContentAType\CidRsyncAType:
    properties:
        type:
            expose: true
            access_type: public_method
            serialized_name: type
            accessor:
                getter: getType
                setter: setType
            xml_attribute: true
            type: string
        path:
            expose: true
            access_type: public_method
            serialized_name: path
            accessor:
                getter: getPath
                setter: setPath
            xml_attribute: true
            type: string
        unpacksize:
            expose: true
            access_type: public_method
            serialized_name: unpacksize
            accessor:
                getter: getUnpacksize
                setter: setUnpacksize
            xml_attribute: true
            type: int
        groupMap:
            expose: true
            access_type: public_method
            serialized_name: group-map
            xml_element:
                cdata: false
            accessor:
                getter: getGroupMap
                setter: setGroupMap
            xml_list:
                inline: true
                entry_name: group-map
            type: array<Plesk\backup\Agent\Schema\Backup\GroupMap>
        includeItem:
            expose: true
            access_type: public_method
            serialized_name: include-item
            xml_element:
                cdata: false
            accessor:
                getter: getIncludeItem
                setter: setIncludeItem
            xml_list:
                inline: true
                entry_name: include-item
            type: array<string>
        excludeItem:
            expose: true
            access_type: public_method
            serialized_name: exclude-item
            xml_element:
                cdata: false
            accessor:
                getter: getExcludeItem
                setter: setExcludeItem
            xml_list:
                inline: true
                entry_name: exclude-item
            type: array<string>
